Bug 1599798 - [RFE] Provider operations with playbooks - Use ansible-runner instead of ansible-playbook
Summary: [RFE] Provider operations with playbooks - Use ansible-runner instead of ansi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Ladislav Smola
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks: 1588189
TreeView+ depends on / blocked
 
Reported: 2018-07-10 15:37 UTC by Ladislav Smola
Modified: 2019-02-07 23:03 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:14 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:25 UTC

Description Ladislav Smola 2018-07-10 15:37:51 UTC
Description of problem:

We need to switch to use ansible-runner for provider operations, which is the Ansible recommended way.

Comment 3 Dave Johnson 2018-07-10 15:42:58 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 CFME Bot 2018-07-17 13:35:49 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/e214bf26f7237e2a1c5465b7eeb65ee04e4db18e
commit e214bf26f7237e2a1c5465b7eeb65ee04e4db18e
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Tue Jul 10 11:26:25 2018 -0400
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Tue Jul 10 11:26:25 2018 -0400

    Use ansible-runner instead of ansible-playbook

    Use ansible-runner instead of ansible-playbook

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1599798

 lib/ansible/runner.rb | 16 +-
 1 file changed, 14 insertions(+), 2 deletions(-)

Comment 8 Ladislav Smola 2018-08-16 13:54:22 UTC
ansible runner merged to appliance repo, moving to POST

Comment 12 Ilanit Stein 2019-01-09 12:44:43 UTC
According to Ladas the use case of bug 1644605 should be enough to verify this RFE.
Moving to Verified based on the verification of bug 1644605.

Comment 13 errata-xmlrpc 2019-02-07 23:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.